package com.clx.performance.service.linewarn;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.linewarn.LineWarnInfoResolveUpdateParam;
import com.clx.performance.param.pc.linewarn.LineWarnInfoSuspendUpdateParam;
import com.clx.performance.param.pc.linewarn.PageLineWarnInfoParam;
import com.clx.performance.vo.pc.linewarn.LineWarnInfoVO;

public interface LineWarnInfoService {

    void updateSuspend(LineWarnInfoSuspendUpdateParam param);

    void updateResolve(LineWarnInfoResolveUpdateParam param);

//    VehicleTraceVO getTrace(Integer id);

    LineWarnInfoVO getInfo(Integer id);
    IPage<LineWarnInfoVO> pageInfo(PageLineWarnInfoParam param);

}
